# Class: BlobMetadata

## BlobMetadata

#### new BlobMetadata(metadata)

  Initializes a new instance of BlobMetadata

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---

  `metadata`

  object

  A serialized metadata object.

  ###### Properties

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `name` | string |  |  |
  `content` | string | Object |  |  |
  `size` | number | <optional> | 0 |
  `contentType` | BlobMetadata.CONTENT_TYPES | <optional> | BlobMetadata.CONTENT_TYPES.OBJECT |
  `mime` | string | <optional> | '' |
  `isPublic` | boolean | <optional> | false |
  `tags` | Array.<string> | <optional> | [] |

### Members

#### <static> CONTENT_TYPES :Object

  Type of the metadata

  ##### Type:

  - Object

### Methods

#### serialize()

  Serializes the metadata to a JSON object.

  ##### Returns:

  Type
    Object

#### Search results